TypeDefinitions (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.industry

## Interface TypeDefinitions

- All Known Subinterfaces:
    TypeDefinitions

      public interface TypeDefinitions

  All AAF-specified type definitions as static constants in an interface. Implement or reference this interface to gain access to the constants that it defines.

  See Also:
    `TypeDefinition`, `Warehouse.lookForType(String)`, `PropertyDefinition.getTypeDefinition()`, `MediaProperty.typeName()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeDefinitionEnumeration` | `AlphaTransparencyType` Defines the type of an enumerated value that describes whether the minimum alpha value or the maximum alpha value represents transparency.
    `static TypeDefinitionStrongObjectReference` | `ApplicationPluginObjectStrongReference`
    `static TypeDefinitionSet` | `ApplicationPluginObjectStrongReferenceSet`
    `static TypeDefinitionRecord` | `AUID` Defines the type of a 16-byte unique identifier whose value is a SMPTE 298M Universal Label or a UUID or GUID.
    `static TypeDefinitionVariableArray` | `AUIDArray` Defines the type for a property value that represents a variable-length array of AUID values.
    `static TypeDefinitionSet` | `AUIDSet` Defines a type for a set of AUID values, where each element represents a 16-byte identifier.
    `static TypeDefinitionEnumeration` | `AuxBitsModeType` Defines the type of an enumerated value that describes the 3 bit auxiliary bits mode of audio essence stored in the AES/EBU audio file format.
    `static TypeDefinitionEnumeration` | `AVCCodedContentKind` Defines the type of an enumerated value that describes the picture type and coding type of AVC material as part of an AVC sub descriptor.
    `static TypeDefinitionEnumeration` | `Boolean` Defines the type of Boolean values that are either `true` or `false`.
    `static TypeDefinitionVariableArray` | `ChannelStatusModeArray` Defines the type for a value that represents an array of AES3 PCM channel status modes with a variable number of elements.
    `static TypeDefinitionEnumeration` | `ChannelStatusModeType` Defines the type of an enumerated value that describes how channel status data is encoded as part of a AES3 PCM descriptor.
    `static TypeDefinitionCharacter` | `Character` Defines the type a single character value.
    `static TypeDefinitionStrongObjectReference` | `ClassDefinitionStrongReference` Defines the type for a value that represents a strong reference to a class definition.
    `static TypeDefinitionSet` | `ClassDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to class definitions.
    `static TypeDefinitionWeakObjectReference` | `ClassDefinitionWeakReference` Defines the type for a value that represents a weak reference to a class definition.
    `static TypeDefinitionStrongObjectReference` | `CodecDefinitionStrongReference` Defines the type for a value that represents a strong reference to a codec definition.
    `static TypeDefinitionSet` | `CodecDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to codec definitions.
    `static TypeDefinitionWeakObjectReference` | `CodecDefinitionWeakReference` Defines a type for a value that represents a weak reference to a codec definition.
    `static TypeDefinitionExtendibleEnumeration` | `CodingEquationsType` Defines the type of an extendible enumeration value that describes the coding equations used to convert RGB image components to component color difference image components.
    `static TypeDefinitionExtendibleEnumeration` | `ColorPrimariesType` Defines the type of an extendible enumeration value that describes the color primaries used in the representation of images.
    `static TypeDefinitionEnumeration` | `ColorSitingType` Defines the type of an enumerated value that describes color, indicating where colored pixels are located with respect to their associated luminance value.
    `static TypeDefinitionStrongObjectReference` | `ComponentStrongReference` Defines the type for a value that represents a strong reference to a component.
    `static TypeDefinitionVariableArray` | `ComponentStrongReferenceVector` Defines the type for a value that represents a list of strong references to components with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `ContainerDefinitionStrongReference` Defines the type for a value that represents a strong reference to a container definition.
    `static TypeDefinitionSet` | `ContainerDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to container definitions.
    `static TypeDefinitionWeakObjectReference` | `ContainerDefinitionWeakReference` Defines the type for a value that represents a weak reference to a container definition.
    `static TypeDefinitionEnumeration` | `ContentScanningType` Defines the type of an enumerated value that, for MPEG coded content, says if the scanning type of the underlying coded content is known and, if it is, what kind of scanning type it is.
    `static TypeDefinitionStrongObjectReference` | `ContentStorageStrongReference` Defines a type for a value that represents a strong reference to content storage.
    `static TypeDefinitionStrongObjectReference` | `ControlPointStrongReference` Defines the type for a property value that represents a strong reference to a control point.
    `static TypeDefinitionVariableArray` | `ControlPointStrongReferenceVector` Defines the type for a value that represents a list of strong references to control points with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `DataDefinitionStrongReference` Defines the type for a value that represents a strong reference to a data definition.
    `static TypeDefinitionSet` | `DataDefinitionStrongReferenceSet` Defines the type for a property value that represents a set of strong references to data definitions.
    `static TypeDefinitionWeakObjectReference` | `DataDefinitionWeakReference` Defines a type for a value that represents a weak reference to a data definition.
    `static TypeDefinitionSet` | `DataDefinitionWeakReferenceSet` Defines the type for a value that represents a set of weak references to data definitions.
    `static TypeDefinitionVariableArray` | `DataDefinitionWeakReferenceVector` Defines the type for a value that represents a list of weak references to data definitions with a variable number of elements.
    `static TypeDefinitionVariableArray` | `DataValue` Defines the type for a value that is a block of data.
    `static TypeDefinitionRecord` | `DateStruct` Defines th type of a value that represents a date, as year, month and day of the month components.
    `static TypeDefinitionStrongObjectReference` | `DescriptiveFrameworkStrongReference` Defines the type for a value that represents a strong reference to a descriptive framework.
    `static TypeDefinitionStrongObjectReference` | `DescriptiveObjectStrongReference` Defines the type for a value that represents a strong reference to a descriptive object.
    `static TypeDefinitionSet` | `DescriptiveObjectStrongReferenceSet` Defines the type for a value that represents a set of strong references to descriptive objects.
    `static TypeDefinitionVariableArray` | `DescriptiveObjectStrongReferenceVector` Define the type for a value that represents a list of strong references to descriptive object with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `DictionaryStrongReference` Defines a type for a value that represents a strong reference to a dictionary.
    `static TypeDefinitionEnumeration` | `EdgeType` Defines the type of an enumerated value that describes the kind of film edge code, e.g.
    `static TypeDefinitionEnumeration` | `EditHintType` Defines the type of an enumerated value that describe hints to be used when editing control points.
    `static TypeDefinitionEnumeration` | `ElectroSpatialFormulation` Defines the type of an enumerated value that describes the electro-spatial formulation of sound, e.g.
    `static TypeDefinitionEnumeration` | `EmphasisType` Defines the type of an enumerated value that describes the encoded audio signal pre-emphasis for sound data.
    `static TypeDefinitionStrongObjectReference` | `EssenceDataStrongReference` Defines the type for a value that represents a strong reference to essence data.
    `static TypeDefinitionSet` | `EssenceDataStrongReferenceSet` Defines the type for a value that represents a set of strong references to essence data.
    `static TypeDefinitionStrongObjectReference` | `EssenceDescriptorStrongReference` Defines a type for a value that represents a strong reference to an essence descriptor.
    `static TypeDefinitionStrongObjectReference` | `ExtensionSchemeStrongReference`
    `static TypeDefinitionSet` | `ExtensionSchemeStrongReferenceSet`
    `static TypeDefinitionWeakObjectReference` | `ExtensionSchemeWeakReference`
    `static TypeDefinitionEnumeration` | `FadeType` Defines the type of an enumerated value that describes the kind of an audio fade.
    `static TypeDefinitionEnumeration` | `FieldNumber` Defines the type of an enumerated value that describes whether field dominance is the first or second frame of an interlaced image.
    `static TypeDefinitionStrongObjectReference` | `FileDescriptorStrongReference` Defines the type for a value that represents a strong reference to a file descriptor.
    `static TypeDefinitionVariableArray` | `FileDescriptorStrongReferenceVector` Defines the type for a value that represents a list of strong references to file descriptors with a variable number of elements.
    `static TypeDefinitionEnumeration` | `FilmType` Defines the type of an enumerated value that describes the format of a film, e.g.
    `static TypeDefinitionStrongObjectReference` | `IdentificationStrongReference` Defines the type for a property value that represents a strong reference to an identification.
    `static TypeDefinitionVariableArray` | `IdentificationStrongReferenceVector` Defines the type for a value that represents a list of strong references to identifications with a variable number of elements.
    `static TypeDefinitionIndirect` | `Indirect` Defines the type for a value for which the type of the value is specified as part of the value.
    `static TypeDefinitionInteger` | `Int16` Defines the type of a 16-bit 2's compliment signed integer value.
    `static TypeDefinitionInteger` | `Int32` Defines the type of a 32-bit 2's compliment signed integer value.
    `static TypeDefinitionVariableArray` | `Int32Array` Defines the type for a property value that represents an array of signed 32-bit integers (Int32) with a variable number of elements.
    `static TypeDefinitionInteger` | `Int64` Defines the type of a 64-bit 2's compliment signed integer value.
    `static TypeDefinitionVariableArray` | `Int64Array` Defines the type for a value that represents an array of signed 64-bit integers (Int64) with a variable number of elements.
    `static TypeDefinitionInteger` | `Int8` Defines the type of an 8-bit 2's complement signed integer value.
    `static TypeDefinitionStrongObjectReference` | `InterpolationDefinitionStrongReference` Defines the type for a value that represents a strong reference to an interpolation definition.
    `static TypeDefinitionSet` | `InterpolationDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to interpolation definitions.
    `static TypeDefinitionWeakObjectReference` | `InterpolationDefinitionWeakReference` Defines the type for a value that represents a weak reference to a interpolation definition.
    `static TypeDefinitionRename` | `JPEGTableIDType` Defines a value that identifies the JPEG tables used in compressing TIFF data.
    `static TypeDefinitionStrongObjectReference` | `KLVDataDefinitionStrongReference` Defines the type for a value that represents a strong reference to a KLV data definition.
    `static TypeDefinitionSet` | `KLVDataDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to KLV data definitions.
    `static TypeDefinitionStrongObjectReference` | `KLVDataStrongReference` Defines the type for a value that represents a strong reference to a KLV data value.
    `static TypeDefinitionVariableArray` | `KLVDataStrongReferenceVector` Defines the type for a value that represents a list of strong references to KLV data values with a variable number of elements.
    `static TypeDefinitionEnumeration` | `LayoutType` Defines the type of an enumerated value that describes whether all the data for a complete sample is in one frame or is split into more than one field, e.g.
    `static TypeDefinitionRename` | `LengthType` Defines the type for a value that represents the length of a component.
    `static TypeDefinitionStrongObjectReference` | `LocatorStrongReference` Defines the type for a value that represents a strong reference to a locator.
    `static TypeDefinitionVariableArray` | `LocatorStrongReferenceVector` Defines the type for a value that represents a list of strong references to locators with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `MetaDefinitionStrongReference`
    `static TypeDefinitionSet` | `MetaDefinitionStrongReferenceSet`
    `static TypeDefinitionStrongObjectReference` | `NetworkLocatorStrongReference` Defines the type for a value that represents a strong reference to a network locator.
    `static TypeDefinitionOpaque` | `Opaque` Defines the type for a value for which the type is specified in each instance, providing access to data opaque to this API and manipulated directly by an application through a handle.
    `static TypeDefinitionExtendibleEnumeration` | `OperationCategoryType` Defines the type of extendible enumeration values that describe different categories of operation.
    `static TypeDefinitionStrongObjectReference` | `OperationDefinitionStrongReference` Defines the type for a value that represents a strong reference to an operation definition.
    `static TypeDefinitionSet` | `OperationDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to operation definitions.
    `static TypeDefinitionWeakObjectReference` | `OperationDefinitionWeakReference` Defines the type for a value that represents a weak reference to an operation definition.
    `static TypeDefinitionVariableArray` | `OperationDefinitionWeakReferenceVector` Defines the type for a value that represents a list of weak references to operation definitions with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `OperationGroupStrongReference` Defines the type for a value that represents a strong reference to an operation group.
    `static TypeDefinitionRecord` | `PackageIDType` Defines the type of a value representing a 32 byte package identifier unique identifier that can hold a SMPTE UMID, as specified in SMPTE 330M.
    `static TypeDefinitionStrongObjectReference` | `PackageMarkerStrongReference`
    `static TypeDefinitionStrongObjectReference` | `PackageStrongReference` Defines the type for a property value that represents a strong reference to a package.
    `static TypeDefinitionSet` | `PackageStrongReferenceSet` Defines the type for a value that represents a set of strong references to packages.
    `static TypeDefinitionWeakObjectReference` | `PackageWeakReference` Defines the type for a value that represents a weak reference to a package.
    `static TypeDefinitionStrongObjectReference` | `ParameterDefinitionStrongReference` Defines the type for a value that represents a strong reference to a parameter definition.
    `static TypeDefinitionSet` | `ParameterDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to parameter definitions.
    `static TypeDefinitionWeakObjectReference` | `ParameterDefinitionWeakReference` Defines the type for a value that represents a weak reference to a parameter definition.
    `static TypeDefinitionSet` | `ParameterDefinitionWeakReferenceSet` Defines the type for a value that represents a set of weak references to parameter definitions.
    `static TypeDefinitionStrongObjectReference` | `ParameterStrongReference` Defines the type for a value that represents a strong reference to a parameter.
    `static TypeDefinitionVariableArray` | `ParameterStrongReferenceVector` Defines the type for a value that represents a list of strong references to parameter values with a variable number of elements.
    `static TypeDefinitionRename` | `PhaseFrameType` Defines the type for a value that represents the phase within the repeating pulldown pattern of the first frame after the pulldown conversion.
    `static TypeDefinitionExtendibleEnumeration` | `PluginCategoryType` Defines the type of an extendible enumeration value that describes different categories of plugin, such as codec, effect or interpolation.
    `static TypeDefinitionStrongObjectReference` | `PluginDefinitionStrongReference` Defines the type for a value that represents a strong reference to a plugin definition.
    `static TypeDefinitionSet` | `PluginDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to plugin definitions.
    `static TypeDefinitionWeakObjectReference` | `PluginDefinitionWeakReference` Defines the type for a value that represents a weak reference to a plugin definition.
    `static TypeDefinitionSet` | `PluginDefinitionWeakReferenceSet` Defines the type for a value that represents a set of weak references to plugin definitions.
    `static TypeDefinitionRename` | `PositionType` Describes an `Int64` value that describes an offset into a component.
    `static TypeDefinitionStrongObjectReference` | `PrefaceStrongReference`
    `static TypeDefinitionEnumeration` | `ProductReleaseType` Defines the type of an enumerated value describing the level of a product release, e.g.
    `static TypeDefinitionRecord` | `ProductVersionType` Defines the type for the version number of an application, represented with four release levels and its product release type.
    `static TypeDefinitionStrongObjectReference` | `PropertyDefinitionStrongReference` Defines the type for a value that represents a strong reference to a property definition.
    `static TypeDefinitionSet` | `PropertyDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to property definitions.
    `static TypeDefinitionWeakObjectReference` | `PropertyDefinitionWeakReference` Defines a type for a value that represents a weak reference to a property definition.
    `static TypeDefinitionSet` | `PropertyDefinitionWeakReferenceSet` Defines the type for a value that represents a set of weak references to property definitions.
    `static TypeDefinitionEnumeration` | `PulldownDirectionType` Defines the type of an enumerated value that describes whether a pulldown operation is converting from tape to film speed or from film to tape speed.
    `static TypeDefinitionEnumeration` | `PulldownKindType` Defines the type of an enumerated value that describes whether a pulldown operation is converting from nominally 30 Hz or 25 Hz video frame rate and whether frames are dropped or the video is played at another speed.
    `static TypeDefinitionRecord` | `Rational` Defines the type for a rational number with 32-bit integer numerator and denominator.
    `static TypeDefinitionEnumeration` | `ReferenceType` Defines the type of an enumerated value that describes a type of reference.
    `static TypeDefinitionRecord` | `RGBAComponent` Defines the type for an element of an array representing the order and size of the component values within a pixel value as part of an RGBALayout.
    `static TypeDefinitionEnumeration` | `RGBAComponentKind` Defines the type of an enumerated value that describes the color or function of a component within a pixel, for example whether the component a red level, palette index etc..
    `static TypeDefinitionFixedArray` | `RGBALayout` Defines the type for an array of RGBA components that describe the layout of bytes in a picture represented by red, green, blue and alpha values.
    `static TypeDefinitionStrongObjectReference` | `RIFFChunkStrongReference` Defines the type for a property value that represents a strong reference to a RIFF chunk.
    `static TypeDefinitionVariableArray` | `RIFFChunkStrongReferenceVector` Defines the type for a value that represents a list of strong references to Broadcast Wave Format (BWF) RIFF chunks with a variable number of elements.
    `static TypeDefinitionEnumeration` | `ScanningDirectionType` Defines the type of an enumerated value that describes the scanning direction of an image, e.g.
    `static TypeDefinitionStrongObjectReference` | `SegmentStrongReference` Defines the type for a value that represents a strong reference to a segment.
    `static TypeDefinitionVariableArray` | `SegmentStrongReferenceVector` Defines the type for a value that represents a list of strong references to segments with a variable number of elements.
    `static TypeDefinitionEnumeration` | `SignalStandardType` Defines the type of an enumerated value that describes an underlying signal standard used to define the raster.
    `static TypeDefinitionStrongObjectReference` | `SourceClipStrongReference` Defines the type for a value that represents a strong reference to a source clip.
    `static TypeDefinitionStrongObjectReference` | `SourceReferenceStrongReference` Defines the type for a value that represents a strong reference to a source reference.
    `static TypeDefinitionVariableArray` | `SourceReferenceStrongReferenceVector` Defines the type for a value that represents a list of strong references to source references.
    `static TypeDefinitionStream` | `Stream` Defines the type of a value that is stored in a stream and has a value that consists of a varying number of bytes.
    `static TypeDefinitionStrongObjectReference` | `SubDescriptorStrongReference` Defines the type for a value that represents a strong reference to a sub descriptor.
    `static TypeDefinitionVariableArray` | `SubDescriptorStrongReferenceVector` Defines the type for a value that represents a list of strong references to sub descriptors with a variable number of elements.
    `static TypeDefinitionStrongObjectReference` | `TaggedValueDefinitionStrongReference` Defines the type for a value that represents a strong reference to a tagged value definition.
    `static TypeDefinitionSet` | `TaggedValueDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to tagged value definitions.
    `static TypeDefinitionStrongObjectReference` | `TaggedValueStrongReference` Defines the type for a value that represents a strong reference to a tagged value.
    `static TypeDefinitionVariableArray` | `TaggedValueStrongReferenceVector` Defines the type for a value that represents a list of strong references to tagged values with a variable number of elements.
    `static TypeDefinitionEnumeration` | `TapeCaseType` Defines the type of an enumerated value that describes the physical size of a tape, e.g.
    `static TypeDefinitionEnumeration` | `TapeFormatType` Defines the type of an enumerated value that describes the format of a tape, e.g.
    `static TypeDefinitionEnumeration` | `TCSource` Defines the type of an enumerated value that describes the kind of a timecode stream.
    `static TypeDefinitionEnumeration` | `TimecodeSource` Defines the type of an enumerated value that describes the kind of a timecode stream.
    `static TypeDefinitionRecord` | `TimeStamp` Defines the type for a date and time in UTC (Coordinated Universal Time).
    `static TypeDefinitionRecord` | `TimeStruct` Defines the type for a time component of date and time values specified according to Coordinated Universal Time (UTC), including hour, minute, second and 1/100th of a second.
    `static TypeDefinitionStrongObjectReference` | `TrackStrongReference` Defines the type for a value that represents a strong reference to a track.
    `static TypeDefinitionVariableArray` | `TrackStrongReferenceVector` Defines the type for a value that represents a list of strong references to tracks with a variable number of elements.
    `static TypeDefinitionExtendibleEnumeration` | `TransferCharacteristicType` Defines the type of an extendible enumeration value that describe different kinds of opto-electronic transfer characteristics.
    `static TypeDefinitionStrongObjectReference` | `TypeDefinitionStrongReference` Defines the type for a value that represents a strong reference to a type definition.
    `static TypeDefinitionSet` | `TypeDefinitionStrongReferenceSet` Defines the type for a value that represents a set of strong references to type definitions.
    `static TypeDefinitionWeakObjectReference` | `TypeDefinitionWeakReference` Defines the type for a value that represents a weak reference to a type definition.
    `static TypeDefinitionVariableArray` | `TypeDefinitionWeakReferenceVector` Defines the type for a value that represents a list of weak references to type definitions with a variable number of elements.
    `static TypeDefinitionInteger` | `UInt16` Defines the type of an unsigned 16-bit integer value.
    `static TypeDefinitionInteger` | `UInt32` Defines the type of an unsigned 32-bit integer value.
    `static TypeDefinitionVariableArray` | `UInt32Array` Defines the type for a value that represents an array of unsigned 32-bit integers (UInt32) with a variable number of elements.
    `static TypeDefinitionSet` | `UInt32Set` Defines the type for a value made up of a set of unsigned 32-bit integer values.
    `static TypeDefinitionInteger` | `UInt64` Defines the type of an unsigned 64-bit integer value.
    `static TypeDefinitionInteger` | `UInt8` Defines the type of a unsigned 8-bit integer value.
    `static TypeDefinitionVariableArray` | `UInt8Array` Defines the type for a value that represents an array of unsigned 8-bit integers (UInt8) with a variable number of elements.
    `static TypeDefinitionFixedArray` | `UInt8Array12` Defines the type for a value that is an array of 12 elements of unsigned 8-bit integer values.
    `static TypeDefinitionFixedArray` | `UInt8Array8` Defines the type for a value that is an array of 8 elements of unsigned 8-bit integer values.
    `static TypeDefinitionExtendibleEnumeration` | `UsageType` Defines the type of an extendible enumeration value that describes the way that a package is used.
    `static TypeDefinitionVariableArray` | `UserDataModeArray` Defines the type for a property value that represents an array of AES3 PCM user data modes with a variable number of elements.
    `static TypeDefinitionEnumeration` | `UserDataModeType` Defines the type of an enumerated value that describes the kind of the 4 bits of channel status that is used for user data related to audio essence stored in a AES/EBU audio file.
    `static TypeDefinitionString` | `UTF16String` Defines the type for a value that represents a string of characters encoded according to the 16-bit Unicode Transformation Format (UTF16).
    `static TypeDefinitionVariableArray` | `UTF16StringArray` Defines the type for a value that represents an array of UTF 16-bit strings with a variable number of elements.
    `static TypeDefinitionRecord` | `VersionNumber`
    `static TypeDefinitionRecord` | `VersionType` Defines the type for a 2-byte version number, consisting of major and minor components.
    `static TypeDefinitionEnumeration` | `VideoSignalType` Defines the type of an enumerated value that describes the video signal on a tape, e.g.

- - ### Field Detail

    - #### UInt8

          static final TypeDefinitionInteger UInt8

      Defines the type of a unsigned 8-bit integer value.

      See Also:
        `UInt8Array`, `UInt8Array12`, `UInt8Array8`, `UInt8`

    - #### UInt16

          static final TypeDefinitionInteger UInt16

      Defines the type of an unsigned 16-bit integer value.

      See Also:
        `UInt16`

    - #### UInt32

          static final TypeDefinitionInteger UInt32

      Defines the type of an unsigned 32-bit integer value.

      See Also:
        `UInt32Array`, `UInt32Set`, `UInt32`

    - #### UInt64

          static final TypeDefinitionInteger UInt64

      Defines the type of an unsigned 64-bit integer value.

      See Also:
        `UInt64`

    - #### Int8

          static final TypeDefinitionInteger Int8

      Defines the type of an 8-bit 2's complement signed integer value.

      See Also:
        `Int8`

    - #### Int16

          static final TypeDefinitionInteger Int16

      Defines the type of a 16-bit 2's compliment signed integer value.

      See Also:
        `Int16`

    - #### Int32

          static final TypeDefinitionInteger Int32

      Defines the type of a 32-bit 2's compliment signed integer value.

      See Also:
        `Int32Array`, `JPEGTableIDType`, `PhaseFrameType`, `Int32`

    - #### Int64

          static final TypeDefinitionInteger Int64

      Defines the type of a 64-bit 2's compliment signed integer value.

      See Also:
        `Int64Array`, `PositionType`, `LengthType`, `Int64`

    - #### Boolean

          static final TypeDefinitionEnumeration Boolean

      Defines the type of Boolean values that are either `true` or `false`.

      Note that AAF defines Boolean values by an enumeration type whereas MAJ follows the Java pattern of using a primitive type. All internal MAJ code has been implemented to expect Java `boolean` values representing these values. Other applications may need to be aware of this, especially when walking a tree of AAF data switched by type category.

      See Also:
        `Boolean`, `Bool`

    - #### Character

          static final TypeDefinitionCharacter Character

      Defines the type a single character value. AAF character values are normally represented by at least two bytes with a Unicode representation encoded by UTF-16.

      The AAF character type is equivalent to the Java `char` primitive type and a value of `Character`.

      See Also:
        `TypeDefinitionCharacter`, `UTF16String`

    - #### ProductReleaseType

          static final TypeDefinitionEnumeration ProductReleaseType

      Defines the type of an enumerated value describing the level of a product release, e.g. debug, beta, released.

      See Also:
        `ProductVersionType`, `ProductReleaseType`

    - #### TapeFormatType

          static final TypeDefinitionEnumeration TapeFormatType

      Defines the type of an enumerated value that describes the format of a tape, e.g. Betacam, VHS.

      See Also:
        `TapeFormatType`, `TapeDescriptor.getTapeFormat()`

    - #### VideoSignalType

          static final TypeDefinitionEnumeration VideoSignalType

      Defines the type of an enumerated value that describes the video signal on a tape, e.g. NTSC, PAL.

      See Also:
        `VideoSignalType`, `TapeDescriptor.getSignalType()`

    - #### TapeCaseType

          static final TypeDefinitionEnumeration TapeCaseType

      Defines the type of an enumerated value that describes the physical size of a tape, e.g. compact cassette, 8mm, DAT.

      See Also:
        `TapeCaseType`, `TapeDescriptor.getTapeFormFactor()`

    - #### ColorSitingType

          static final TypeDefinitionEnumeration ColorSitingType

      Defines the type of an enumerated value that describes color, indicating where colored pixels are located with respect to their associated luminance value. Examples include averaging and rec601.

      See Also:
        `ColorSitingType`, `CDCIDescriptor.getColorSiting()`

    - #### EditHintType

          static final TypeDefinitionEnumeration EditHintType

      Defines the type of an enumerated value that describe hints to be used when editing control points. The hint is used to describe how to alter a control point if an operation group that contains it is itself altered in size.

      See Also:
        `EditHintType`, `ControlPoint.getEditHint()`

    - #### FadeType

          static final TypeDefinitionEnumeration FadeType

      Defines the type of an enumerated value that describes the kind of an audio fade.

      See Also:
        `FadeType`, `Fade.getFadeInType()`, `Fade.getFadeOutType()`, `DefaultFade.getFadeType()`, `CompositionPackage.getDefaultFadeType()`

    - #### TCSource

          static final TypeDefinitionEnumeration TCSource

      Defines the type of an enumerated value that describes the kind of a timecode stream.

      See Also:
        `TimecodeSource`, `TCSource`, `TimecodeStream.getTimecodeSource()`

    - #### TimecodeSource

          static final TypeDefinitionEnumeration TimecodeSource

      Defines the type of an enumerated value that describes the kind of a timecode stream.

      See Also:
        `TCSource`, `TCSource`, `TimecodeStream.getTimecodeSource()`

    - #### PulldownDirectionType

          static final TypeDefinitionEnumeration PulldownDirectionType

      Defines the type of an enumerated value that describes whether a pulldown operation is converting from tape to film speed or from film to tape speed.

      See Also:
        `PulldownDirectionType`, `Pulldown.getPulldownDirection()`

    - #### PulldownKindType

          static final TypeDefinitionEnumeration PulldownKindType

      Defines the type of an enumerated value that describes whether a pulldown operation is converting from nominally 30 Hz or 25 Hz video frame rate and whether frames are dropped or the video is played at another speed.

      See Also:
        `PulldownKindType`, `Pulldown.getPulldownKind()`

    - #### EdgeType

          static final TypeDefinitionEnumeration EdgeType

      Defines the type of an enumerated value that describes the kind of film edge code, e.g. keycode, edgenum4.

      See Also:
        `EdgeType`, `EdgeCodeValue.getEdgeCodeFormat()`, `EdgeCodeSegment.getEdgeCodeFormat()`

    - #### FilmType

          static final TypeDefinitionEnumeration FilmType

      Defines the type of an enumerated value that describes the format of a film, e.g. 16mm, 35mm.

      See Also:
        `FilmType`, `FilmDescriptor.getFilmFormat()`

    - #### RGBAComponentKind

          static final TypeDefinitionEnumeration RGBAComponentKind

      Defines the type of an enumerated value that describes the color or function of a component within a pixel, for example whether the component a red level, palette index etc..

      See Also:
        `RGBAComponent`, `RGBALayout`, `RGBAComponentKind`, `RGBADescriptor.getPixelLayout()`, `RGBADescriptor.getPaletteLayout()`

    - #### ReferenceType

          static final TypeDefinitionEnumeration ReferenceType

      Defines the type of an enumerated value that describes a type of reference.

      See Also:
        `ReferenceType`

    - #### AlphaTransparencyType

          static final TypeDefinitionEnumeration AlphaTransparencyType

      Defines the type of an enumerated value that describes whether the minimum alpha value or the maximum alpha value represents transparency.

      See Also:
        `AlphaTransparencyType`, `PictureDescriptor.getAlphaTransparency()`

    - #### FieldNumber

          static final TypeDefinitionEnumeration FieldNumber

      Defines the type of an enumerated value that describes whether field dominance is the first or second frame of an interlaced image.

      See Also:
        `FieldNumber`, `PictureDescriptor.getFieldDominance()`

    - #### ElectroSpatialFormulation

          static final TypeDefinitionEnumeration ElectroSpatialFormulation

      Defines the type of an enumerated value that describes the electro-spatial formulation of sound, e.g. single channel, stereophonic.

      See Also:
        `ElectroSpatialFormulation`, `SoundDescriptor.getElectrospatialFormulation()`

    - #### SignalStandardType

          static final TypeDefinitionEnumeration SignalStandardType

      Defines the type of an enumerated value that describes an underlying signal standard used to define the raster.

      See Also:
        `SignalStandardType`, `PictureDescriptor.getSignalStandard()`

    - #### ScanningDirectionType

          static final TypeDefinitionEnumeration ScanningDirectionType

      Defines the type of an enumerated value that describes the scanning direction of an image, e.g. left-to-right top-to-bottom.

      See Also:
        `ScanningDirectionType`, `RGBADescriptor.getScanningDirection()`

    - #### LayoutType

          static final TypeDefinitionEnumeration LayoutType

      Defines the type of an enumerated value that describes whether all the data for a complete sample is in one frame or is split into more than one field, e.g. full frame, separate fields.

      See Also:
        `LayoutType`, `PictureDescriptor.getFrameLayout()`

    - #### EmphasisType

          static final TypeDefinitionEnumeration EmphasisType

      Defines the type of an enumerated value that describes the encoded audio signal pre-emphasis for sound data.

      See Also:
        `EmphasisType`, `AES3PCMDescriptor.getEmphasis()`

    - #### AuxBitsModeType

          static final TypeDefinitionEnumeration AuxBitsModeType

      Defines the type of an enumerated value that describes the 3 bit auxiliary bits mode of audio essence stored in the AES/EBU audio file format.

      See Also:
        `AuxBitsModeType`, `AES3PCMDescriptor.getAuxBitsMode()`

    - #### ChannelStatusModeType

          static final TypeDefinitionEnumeration ChannelStatusModeType

      Defines the type of an enumerated value that describes how channel status data is encoded as part of a AES3 PCM descriptor.

      See Also:
        `ChannelStatusModeType`, `AES3PCMDescriptor.getChannelStatusMode()`

    - #### UserDataModeType

          static final TypeDefinitionEnumeration UserDataModeType

      Defines the type of an enumerated value that describes the kind of the 4 bits of channel status that is used for user data related to audio essence stored in a AES/EBU audio file.

      See Also:
        `UserDataModeType`, `AES3PCMDescriptor.getUserDataMode()`

    - #### ContentScanningType

          static final TypeDefinitionEnumeration ContentScanningType

      Defines the type of an enumerated value that, for MPEG coded content, says if the scanning type of the underlying coded content is known and, if it is, what kind of scanning type it is.

      See Also:
        `ContentScanningType`, `MPEGVideoDescriptor.getCodedContentScanning()`

    - #### AVCCodedContentKind

          static final TypeDefinitionEnumeration AVCCodedContentKind

      Defines the type of an enumerated value that describes the picture type and coding type of AVC material as part of an AVC sub descriptor.

      See Also:
        `AVCCodedContentKind`, `AVCSubDescriptor.getAVCCodedContentKind()`

    - #### OperationCategoryType

          static final TypeDefinitionExtendibleEnumeration OperationCategoryType

      Defines the type of extendible enumeration values that describe different categories of operation.

      See Also:
        `OperationCategoryType`, `OperationDefinition.getOperationCategory()`

    - #### TransferCharacteristicType

          static final TypeDefinitionExtendibleEnumeration TransferCharacteristicType

      Defines the type of an extendible enumeration value that describe different kinds of opto-electronic transfer characteristics.

      See Also:
        `TransferCharacteristicType`, `PictureDescriptor.getTransferCharacteristic()`

    - #### PluginCategoryType

          static final TypeDefinitionExtendibleEnumeration PluginCategoryType

      Defines the type of an extendible enumeration value that describes different categories of plugin, such as codec, effect or interpolation.

      See Also:
        `PluginCategoryType`, `PluginDefinition.getCategoryClass()`

    - #### UsageType

          static final TypeDefinitionExtendibleEnumeration UsageType

      Defines the type of an extendible enumeration value that describes the way that a package is used.

      See Also:
        `UsageType`, `Package.getPackageUsage()`

    - #### ColorPrimariesType

          static final TypeDefinitionExtendibleEnumeration ColorPrimariesType

      Defines the type of an extendible enumeration value that describes the color primaries used in the representation of images.

      See Also:
        `ColorPrimariesType`, `PictureDescriptor.getColorPrimaries()`

    - #### CodingEquationsType

          static final TypeDefinitionExtendibleEnumeration CodingEquationsType

      Defines the type of an extendible enumeration value that describes the coding equations used to convert RGB image components to component color difference image components.

      See Also:
        `CodingEquationsType`, `PictureDescriptor.getCodingEquations()`

    - #### Indirect

          static final TypeDefinitionIndirect Indirect

      Defines the type for a value for which the type of the value is specified as part of the value.

      See Also:
        `TypeDefinitionIndirect`, `TaggedValue.getIndirectValue()`, `PropertyValue`

    - #### Opaque

          static final TypeDefinitionOpaque Opaque

      Defines the type for a value for which the type is specified in each instance, providing access to data opaque to this API and manipulated directly by an application through a handle.

      See Also:
        `TypeDefinitionOpaque`, `KLVData`

    - #### PositionType

          static final TypeDefinitionRename PositionType

      Describes an `Int64` value that describes an offset into a component. The value is measured in the edit units of the component.

      See Also:
        `Int64`, `PositionType`, `SourceClip.getStartPosition()`

    - #### LengthType

          static final TypeDefinitionRename LengthType

      Defines the type for a value that represents the length of a component. The length is measured in the edit units of the component.

      See Also:
        `Int64`, `LengthType`, `Component.getComponentLength()`

    - #### JPEGTableIDType

          static final TypeDefinitionRename JPEGTableIDType

      Defines a value that identifies the JPEG tables used in compressing TIFF data.

      See Also:
        `Int32`, `JPEGTableIDType`, `TIFFDescriptor.getJPEGTableID()`

    - #### PhaseFrameType

          static final TypeDefinitionRename PhaseFrameType

      Defines the type for a value that represents the phase within the repeating pulldown pattern of the first frame after the pulldown conversion. A value of `0` specifies that the pulldown object starts at the beginning of the pulldown pattern.

      See Also:
        `Int32`, `PhaseFrameType`, `Pulldown.getPhaseFrame()`

    - #### Stream

          static final TypeDefinitionStream Stream

      Defines the type of a value that is stored in a stream and has a value that consists of a varying number of bytes. The order of the bytes is meaningful.

      See Also:
        `TypeDefinitionStream`, `EssenceData.getEssenceStream()`, `Stream`, `DataBuffer`

    - #### DataValue

          static final TypeDefinitionVariableArray DataValue

      Defines the type for a value that is a block of data. In the MAJ API, this will be manipulated as a `ByteBuffer`.

      See Also:
        `UInt8Array`, `DataValue`, `AIFCDescriptor.getAIFCSummary()`, `TIFFDescriptor.getTIFFSummary()`, `WAVEDescriptor.getWAVESummary()`

    - #### UTF16String

          static final TypeDefinitionString UTF16String

      Defines the type for a value that represents a string of characters encoded according to the 16-bit Unicode Transformation Format (UTF16).

      See Also:
        `Character`, `TypeDefinitionString`, `UTF16StringArray`, `AAFString`, `String`

    - #### ClassDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference ClassDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a class definition.

      See Also:
        `ClassDefinitionStrongReference`, `ClassDefinitionStrongReferenceSet`, `ClassDefinition`, `Warehouse.lookForClass(String)`, `InterchangeObject.getObjectClass()`, `MediaClass`

    - #### ContainerDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference ContainerDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a container definition. A container definition is used to describe the mechanism used to store essence data.

      See Also:
        `ContainerDefinitionStrongReference`, `ContainerDefinitionStrongReferenceSet`, `ContainerDefinition`, `Dictionary.getContainerDefinitions()`, `AAFFileDescriptor.getContainerFormat()`, `ContainerConstant`

    - #### DataDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference DataDefinitionWeakReference

      Defines a type for a value that represents a weak reference to a data definition. A data definition specifies the kind of data that can be stored in a component.

      See Also:
        `DataDefinitionStrongReference`, `DataDefinitionWeakReferenceSet`, `DataDefinitionWeakReferenceVector`, `DataDefinition`, `Dictionary.getDataDefinitions()`, `Component.getComponentDataDefinition()`, `OperationDefinition.getOperationDataDefinition()`, `DataDefinitionConstant`

    - #### InterpolationDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference InterpolationDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a interpolation definition. An interpolation definition describes the mechanism used to calculate the values produced by a varying value using the specified control points.

      See Also:
        `InterpolationDefinitionStrongReference`, `InterpolationDefinitionStrongReferenceSet`, `InterpolationDefinition`, `Dictionary.getInterpolationDefinitions()`, `VaryingValue.getInterpolationDefinition()`, `InterpolationConstant`

    - #### PackageWeakReference

          static final TypeDefinitionWeakObjectReference PackageWeakReference

      Defines the type for a value that represents a weak reference to a package.

      See Also:
        `PackageStrongReference`, `PackageStrongReferenceSet`, `Package`

    - #### OperationDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference OperationDefinitionWeakReference

      Defines the type for a value that represents a weak reference to an operation definition. Operation definitions specify which parameters are possible for an operation.

      See Also:
        `OperationDefinitionStrongReference`, `OperationDefinitionStrongReferenceSet`, `OperationDefinitionWeakReferenceVector`, `OperationDefinition`, `Dictionary.getOperationDefinitions()`, `OperationGroup.getOperationDefinition()`, `OperationConstant`

    - #### ParameterDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference ParameterDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a parameter definition. Parameter definitions define the kinds of parameters required to control an effect.

      See Also:
        `ParameterDefinitionWeakReferenceSet`, `ParameterDefinitionStrongReference`, `ParameterDefinitionStrongReferenceSet`, `ParameterDefinition`, `Dictionary.getParameterDefinitions()`, `OperationDefinition.getOperationParametersDefined()`, `Parameter.getParameterDefinition()`, `ParameterConstant`

    - #### TypeDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference TypeDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a type definition. Type definitions specify the set of possible values for a property.

      See Also:
        `TypeDefinitionStrongReference`, `TypeDefinitionWeakReferenceVector`, `TypeDefinitionStrongReference`, `TypeDefinitionStrongReferenceSet`, `TypeDefinition`, `PropertyDefinition.getTypeDefinition()`, `PropertyValue.getType()`, `Warehouse.lookForType(String)`, `MediaProperty.typeName()`

    - #### PluginDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference PluginDefinitionWeakReference

      Defines the type for a value that represents a weak reference to a plugin definition. Plugin definitions describe code objects that provide an implementation for a definition.

      See Also:
        `PluginDefinitionStrongReference`, `PluginDefinitionWeakReferenceSet`, `PluginDefinitionStrongReference`, `PluginDefinitionStrongReferenceSet`, `PluginCategoryType`, `PluginDefinition`, `Dictionary.getPluginDefinitions()`, `PluginIdentifiers`

    - #### CodecDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference CodecDefinitionWeakReference

      Defines a type for a value that represents a weak reference to a codec definition. A codec definition defines a kind of coding of a data stream, such as a stream of essence data.

      See Also:
        `CodecDefinitionStrongReference`, `CodecDefinitionStrongReferenceSet`, `CodecDefinition`, `Dictionary.getCodecDefinitions()`, `AAFFileDescriptor.getCodec()`, `CodecConstant`

    - #### PropertyDefinitionWeakReference

          static final TypeDefinitionWeakObjectReference PropertyDefinitionWeakReference

      Defines a type for a value that represents a weak reference to a property definition. A property definition specifies the description of a property allowed for a class.

      See Also:
        `PropertyDefinitionWeakReferenceSet`, `PropertyDefinitionStrongReference`, `PropertyDefinitionStrongReferenceSet`, `PropertyDefinition`, `ClassDefinition.getPropertyDefinitions()`, `ClassDefinition.getAllPropertyDefinitions()`, `MediaProperty`

    - #### ContentStorageStrongReference

          static final TypeDefinitionStrongObjectReference ContentStorageStrongReference

      Defines a type for a value that represents a strong reference to content storage.

      See Also:
        `ContentStorage`, `Preface.getContentStorageObject()`

    - #### DictionaryStrongReference

          static final TypeDefinitionStrongObjectReference DictionaryStrongReference

      Defines a type for a value that represents a strong reference to a dictionary.

      See Also:
        `Dictionary`, `Preface.getDictionaries()`

    - #### EssenceDescriptorStrongReference

          static final TypeDefinitionStrongObjectReference EssenceDescriptorStrongReference

      Defines a type for a value that represents a strong reference to an essence descriptor.

      See Also:
        `EssenceDescriptor`, `SourcePackage.getEssenceDescriptor()`

    - #### NetworkLocatorStrongReference

          static final TypeDefinitionStrongObjectReference NetworkLocatorStrongReference

      Defines the type for a value that represents a strong reference to a network locator.

      See Also:
        `NetworkLocator`, `PluginDefinition.getManufacturerInfo()`, `EssenceDescriptor.getLocators()`

    - #### OperationGroupStrongReference

          static final TypeDefinitionStrongObjectReference OperationGroupStrongReference

      Defines the type for a value that represents a strong reference to an operation group.

      See Also:
        `OperationGroup`, `Transition.getTransitionOperation()`

    - #### SegmentStrongReference

          static final TypeDefinitionStrongObjectReference SegmentStrongReference

      Defines the type for a value that represents a strong reference to a segment.

      See Also:
        `SegmentStrongReferenceVector`, `Segment`, `Pulldown.getInputSegment()`, `Selector`, `Track.getTrackSegment()`

    - #### SourceClipStrongReference

          static final TypeDefinitionStrongObjectReference SourceClipStrongReference

      Defines the type for a value that represents a strong reference to a source clip.

      See Also:
        `SourceClip`

    - #### SourceReferenceStrongReference

          static final TypeDefinitionStrongObjectReference SourceReferenceStrongReference

      Defines the type for a value that represents a strong reference to a source reference.

      See Also:
        `SourceReferenceStrongReferenceVector`, `SourceReferenceSegment`, `SourceReferenceValue`, `CommentMarker.getAnnotationSource()`, `EssenceGroup.getStillFrame()`, `OperationGroup.getRendering()`

    - #### ClassDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference ClassDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a class definition.

      See Also:
        `ClassDefinitionStrongReferenceSet`, `ClassDefinitionWeakReference`, `ClassDefinition`, `MediaClass`

    - #### CodecDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference CodecDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a codec definition.

      See Also:
        `CodecDefinitionStrongReferenceSet`, `CodecDefinitionWeakReference`, `CodecDefinition`, `CodecConstant`

    - #### ComponentStrongReference

          static final TypeDefinitionStrongObjectReference ComponentStrongReference

      Defines the type for a value that represents a strong reference to a component.

      See Also:
        `ComponentStrongReferenceVector`, `Component`

    - #### ContainerDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference ContainerDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a container definition.

      See Also:
        `ContainerDefinitionStrongReferenceSet`, `ContainerDefinitionWeakReference`, `ContainerDefinition`, `ContainerConstant`

    - #### ControlPointStrongReference

          static final TypeDefinitionStrongObjectReference ControlPointStrongReference

      Defines the type for a property value that represents a strong reference to a control point.

      See Also:
        `ControlPointStrongReferenceVector`, `ControlPoint`

    - #### DataDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference DataDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a data definition.

      See Also:
        `DataDefinitionStrongReferenceSet`, `DataDefinitionWeakReference`, `DataDefinitionWeakReferenceSet`, `DataDefinitionWeakReferenceVector`, `DataDefinition`, `DataDefinitionConstant`

    - #### EssenceDataStrongReference

          static final TypeDefinitionStrongObjectReference EssenceDataStrongReference

      Defines the type for a value that represents a strong reference to essence data.

      See Also:
        `EssenceDataStrongReferenceSet`, `EssenceData`

    - #### IdentificationStrongReference

          static final TypeDefinitionStrongObjectReference IdentificationStrongReference

      Defines the type for a property value that represents a strong reference to an identification.

      See Also:
        `IdentificationStrongReferenceVector`, `Identification`

    - #### InterpolationDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference InterpolationDefinitionStrongReference

      Defines the type for a value that represents a strong reference to an interpolation definition.

      See Also:
        `InterpolationDefinitionStrongReferenceSet`, `InterpolationDefinitionWeakReference`, `InterpolationDefinition`, `InterpolationConstant`

    - #### LocatorStrongReference

          static final TypeDefinitionStrongObjectReference LocatorStrongReference

      Defines the type for a value that represents a strong reference to a locator.

      See Also:
        `LocatorStrongReferenceVector`, `Locator`

    - #### PackageStrongReference

          static final TypeDefinitionStrongObjectReference PackageStrongReference

      Defines the type for a property value that represents a strong reference to a package.

      See Also:
        `PackageStrongReferenceSet`, `PackageWeakReference`, `Package`, `ContentStorage.getPackages()`

    - #### TrackStrongReference

          static final TypeDefinitionStrongObjectReference TrackStrongReference

      Defines the type for a value that represents a strong reference to a track.

      See Also:
        `TrackStrongReferenceVector`, `Track`

    - #### OperationDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference OperationDefinitionStrongReference

      Defines the type for a value that represents a strong reference to an operation definition.

      See Also:
        `OperationDefinitionStrongReferenceSet`, `OperationDefinitionWeakReference`, `OperationDefinitionWeakReferenceVector`, `OperationDefinition`, `OperationConstant`

    - #### ParameterStrongReference

          static final TypeDefinitionStrongObjectReference ParameterStrongReference

      Defines the type for a value that represents a strong reference to a parameter.

      See Also:
        `ParameterStrongReferenceVector`, `Parameter`

    - #### ParameterDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference ParameterDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a parameter definition.

      See Also:
        `ParameterDefinitionStrongReferenceSet`, `ParameterDefinitionWeakReference`, `ParameterDefinitionStrongReferenceSet`, `ParameterDefinition`, `ParameterConstant`

    - #### PluginDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference PluginDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a plugin definition.

      See Also:
        `PluginDefinitionStrongReferenceSet`, `PluginDefinitionWeakReference`, `PluginDefinitionWeakReferenceSet`, `PluginDefinition`, `PluginIdentifiers`

    - #### PropertyDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference PropertyDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a property definition.

      See Also:
        `PropertyDefinitionStrongReferenceSet`, `PropertyDefinitionWeakReference`, `PropertyDefinitionWeakReferenceSet`, `PropertyDefinition`, `MediaProperty`

    - #### TaggedValueStrongReference

          static final TypeDefinitionStrongObjectReference TaggedValueStrongReference

      Defines the type for a value that represents a strong reference to a tagged value.

      See Also:
        `TaggedValueStrongReferenceVector`, `TaggedValue`

    - #### TypeDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference TypeDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a type definition.

      See Also:
        `TypeDefinitionStrongReferenceSet`, `TypeDefinitionWeakReference`, `TypeDefinitionWeakReferenceVector`, `TypeDefinition`

    - #### KLVDataStrongReference

          static final TypeDefinitionStrongObjectReference KLVDataStrongReference

      Defines the type for a value that represents a strong reference to a KLV data value.

      See Also:
        `KLVDataStrongReferenceVector`, `KLVData`

    - #### DescriptiveFrameworkStrongReference

          static final TypeDefinitionStrongObjectReference DescriptiveFrameworkStrongReference

      Defines the type for a value that represents a strong reference to a descriptive framework.

      See Also:
        `DescriptiveFramework`, `DescriptiveMarker.getDescriptiveFrameworkObject()`

    - #### KLVDataDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference KLVDataDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a KLV data definition.

      See Also:
        `KLVDataDefinitionStrongReferenceSet`, `KLVDataDefinition`

    - #### TaggedValueDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference TaggedValueDefinitionStrongReference

      Defines the type for a value that represents a strong reference to a tagged value definition.

      See Also:
        `TaggedValueDefinitionStrongReferenceSet`, `TaggedValueDefinition`

    - #### SubDescriptorStrongReference

          static final TypeDefinitionStrongObjectReference SubDescriptorStrongReference

      Defines the type for a value that represents a strong reference to a sub descriptor.

      See Also:
        `SubDescriptorStrongReferenceVector`, `SubDescriptor`, `EssenceDescriptor.getSubDescriptors()`

    - #### FileDescriptorStrongReference

          static final TypeDefinitionStrongObjectReference FileDescriptorStrongReference

      Defines the type for a value that represents a strong reference to a file descriptor.

      See Also:
        `FileDescriptorStrongReferenceVector`, `AAFFileDescriptor`

    - #### RIFFChunkStrongReference

          static final TypeDefinitionStrongObjectReference RIFFChunkStrongReference

      Defines the type for a property value that represents a strong reference to a RIFF chunk.

      See Also:
        `RIFFChunkStrongReferenceVector`, `RIFFChunk`

    - #### DescriptiveObjectStrongReference

          static final TypeDefinitionStrongObjectReference DescriptiveObjectStrongReference

      Defines the type for a value that represents a strong reference to a descriptive object.

      See Also:
        `DescriptiveObjectStrongReferenceVector`, `DescriptiveObjectStrongReferenceSet`, `DescriptiveObject`

    - #### UInt8Array8

          static final TypeDefinitionFixedArray UInt8Array8

      Defines the type for a value that is an array of 8 elements of unsigned 8-bit integer values.

      See Also:
        `AUID`, `UInt8`, `UInt8`, `AUID.getData4()`

    - #### UInt8Array12

          static final TypeDefinitionFixedArray UInt8Array12

      Defines the type for a value that is an array of 12 elements of unsigned 8-bit integer values.

      See Also:
        `PackageIDType`, `UInt8`, `UInt8`, `PackageID.getUniversalLabel()`

    - #### Rational

          static final TypeDefinitionRecord Rational

      Defines the type for a rational number with 32-bit integer numerator and denominator.

      To make values of this type, use the following methods from the MAJ forge:

      - From its numerator and denominator : `Forge.makeRational(int, int)`;
      - A zero default value: `Forge.zeroRational()`;
      - From a string representation as generated by `Rational.toString()`: `Forge.parseRational(String)`.
      See Also:
        `Rational`

    - #### AUID

          static final TypeDefinitionRecord AUID

      Defines the type of a 16-byte unique identifier whose value is a SMPTE 298M Universal Label or a UUID or GUID.

      To make values of this type, use the following methods from the MAJ forge:

      - From its underlying bytes: `Forge.makeAUID(byte[])`;
      - From its constituent parts: `Forge.makeAUID(int, short, short, byte[])`;
      - A time-based UUID: `Forge.timebasedAUID()` and `Forge.timebasedAUID(byte[])`;
      - A name-based UUID: `Forge.namebasedAUID(byte[])` and `Forge.namebasedAUID(String)`;
      - A random UUID: `Forge.randomAUID()`;
      - From a URN string representation as generated by `AUID.toString()`: `Forge.parseAUID(String)`.
      See Also:
        `AUID`, `AUIDSet`, `AUIDArray`

    - #### PackageIDType

          static final TypeDefinitionRecord PackageIDType

      Defines the type of a value representing a 32 byte package identifier unique identifier that can hold a SMPTE UMID, as specified in SMPTE 330M.

      To make values of this type, use the following methods from the MAJ forge:

      - From its underlying bytes: `Forge.makePackageID(byte[])`;
      - From its constituent parts: `Forge.makePackageID(byte[], byte, byte, byte, byte, AUID)`;
      - According to a specific generation strategy: `Forge.generatePackageID(MaterialType, InstanceNumberGeneration, MaterialNumberGeneration)`, `Forge.generatePackageID(MaterialType, InstanceNumberGeneration, MaterialNumberGeneration, AUID)` and `Forge.generatePackageID(MaterialType, InstanceNumberGeneration, MaterialNumberGeneration, byte[])`;
      - A D-Cinema UMID: `Forge.dCinemaUMID()`;
      - From a URN string representation as generated by `PackageID.toString()`: `Forge.parsePackageID(String)`.
      See Also:
        `PackageID`

    - #### ProductVersionType

          static final TypeDefinitionRecord ProductVersionType

      Defines the type for the version number of an application, represented with four release levels and its product release type. The four release levels specify the major, minor, tertiary and patch level of a product.

      To make values of this type, use the following methods from the MAJ forge:

      - From its constituent parts: `Forge.makeProductVersion(short, short, short, short, ProductReleaseType)`;
      - A zero default value: `Forge.zeroProductVersion()`;
      - From a pseudo-XML string representation as generated by `ProductVersion.toString()`: `Forge.parseProductVersion(String)`.
      See Also:
        `ProductVersion`, `VersionType`

    - #### VersionType

          static final TypeDefinitionRecord VersionType

      Defines the type for a 2-byte version number, consisting of major and minor components.

      To make values of this type, use the following methods from the MAJ forge:

      - From its component parts: `Forge.makeVersion(byte, byte)`;
      - A zero value: `Forge.zeroVersion()`;
      - From a string representation as generated by `VersionType.toString()`: `Forge.parseVersion(String)`.
      See Also:
        `VersionType`, `ProductVersionType`

    - #### VersionNumber

          static final TypeDefinitionRecord VersionNumber

    - #### RGBAComponent

          static final TypeDefinitionRecord RGBAComponent

      Defines the type for an element of an array representing the order and size of the component values within a pixel value as part of an RGBALayout. The RGB layout type type is a fixed-size 8 element array, where each element consists of an RGBA component value. Each RGBA component has with the following fields:

      - `code` - RGBA component kind enumerated value specifying the component kind.
      - `size` - Java byte specifying the number of bits.

      To make values of this type, use the following methods from the MAJ forge:

      - From its code and size: `Forge.makeRGBAComponent(RGBAComponentKind, byte)`;
      - A zero default value: `Forge.zeroRGBAComponent()`;
      - From a pseudo-XML string representation as generated by `RGBAComponent.toString()`: `Forge.parseRGBAComponent(String)`.
      See Also:
        `RGBALayout`, `RGBAComponent`

    - #### RGBALayout

          static final TypeDefinitionFixedArray RGBALayout

      Defines the type for an array of RGBA components that describe the layout of bytes in a picture represented by red, green, blue and alpha values.

      See Also:
        `RGBAComponent`, `RGBADescriptor`, `RGBADescriptor.getPaletteLayout()`, `RGBADescriptor.getPixelLayout()`, `RGBAComponentKind`

    - #### DateStruct

          static final TypeDefinitionRecord DateStruct

      Defines th type of a value that represents a date, as year, month and day of the month components.

      To make values of this type, use the following methods from the MAJ forge:

      - From its component values: `Forge.makeDate(byte, byte, short)`;
      - From an existing Java Calendar value: `Forge.makeDate(Calendar)`;
      - For today's date: `Forge.todaysDate()`;
      - From a string representation, similar to an XML schema date type and as generated by `DateStruct.toString()`: `Forge.parseDate(String)`.
      See Also:
        `DateStruct`, `TimeStruct`, `TimeStamp`

    - #### TimeStruct

          static final TypeDefinitionRecord TimeStruct

      Defines the type for a time component of date and time values specified according to Coordinated Universal Time (UTC), including hour, minute, second and 1/100th of a second. The time structure is itself a component of a `TimeStamp`.

      To make values of this type, use the following methods from the MAJ forge:

      - From its component parts: `Forge.makeTime(byte, byte, byte)` and `Forge.makeTime(byte, byte, byte, byte)`;
      - From a `Calendar` value: `Forge.makeTime(java.util.Calendar)`;
      - The time now: `Forge.timeNow()`;
      - From a string representation as generated by `TimeStruct.toString()`: `Forge.parseTime(String)`.
      See Also:
        `TimeStruct`, `DateStruct`, `TimeStamp`

    - #### TimeStamp

          static final TypeDefinitionRecord TimeStamp

      Defines the type for a date and time in UTC (Coordinated Universal Time). The value is made up of a `DateStruct` and `TimeStruct` parts.

      For more information on UTC, see the entry on Coordinated Universal Time on Wikipedia.

      To make values of this type, use the following methods from the MAJ forge:

      - From its component parts: `Forge.makeTimeStamp(DateStruct, TimeStruct)` and `Forge.makeTimeStamp(short, byte, byte, byte, byte, byte, byte)`;
      - From a `Calendar` value: `Forge.makeTimeStamp(java.util.Calendar)`;
      - The date and time now: `Forge.now()`;
      - From a string representation as generated by `TimeStamp.toString()`: `Forge.parseTimeStamp(String)`.
      See Also:
        `TimeStamp`, `TimeStruct`, `DateStruct`

    - #### AUIDSet

          static final TypeDefinitionSet AUIDSet

      Defines a type for a set of AUID values, where each element represents a 16-byte identifier.

      See Also:
        `AUID`, `AUID`, `AUIDArray`

    - #### UInt32Set

          static final TypeDefinitionSet UInt32Set

      Defines the type for a value made up of a set of unsigned 32-bit integer values.

      See Also:
        `UInt32`, `UInt32Set`, `UInt32Array`

    - #### ClassDefinitionStrongReferenceSet

          static final TypeDefinitionSet ClassDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to class definitions.

      See Also:
        `ClassDefinition`, `ClassDefinitionStrongReference`, `ClassDefinitionWeakReference`

    - #### CodecDefinitionStrongReferenceSet

          static final TypeDefinitionSet CodecDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to codec definitions.

      See Also:
        `CodecDefinition`, `CodecDefinitionStrongReference`, `CodecDefinitionWeakReference`, `Dictionary.getCodecDefinitions()`, `CodecConstant`

    - #### ContainerDefinitionStrongReferenceSet

          static final TypeDefinitionSet ContainerDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to container definitions.

      See Also:
        `ContainerDefinition`, `ContainerDefinitionStrongReference`, `ContainerDefinitionWeakReference`, `Dictionary.getContainerDefinitions()`, `ContainerConstant`

    - #### DataDefinitionStrongReferenceSet

          static final TypeDefinitionSet DataDefinitionStrongReferenceSet

      Defines the type for a property value that represents a set of strong references to data definitions.

      See Also:
        `DataDefinition`, `DataDefinitionStrongReference`, `DataDefinitionWeakReference`, `DataDefinitionWeakReferenceSet`, `DataDefinitionWeakReferenceVector`, `DataDefinitionWeakReferenceVector`, `Dictionary.getDataDefinitions()`, `DataDefinitionConstant`

    - #### EssenceDataStrongReferenceSet

          static final TypeDefinitionSet EssenceDataStrongReferenceSet

      Defines the type for a value that represents a set of strong references to essence data.

      See Also:
        `EssenceData`, `EssenceDataStrongReference`, `ContentStorage.enumEssenceDataObjects()`, `ContentStorage.getEssenceDataObjects(tv.amwa.maj.enumeration.CriteriaType)`

    - #### InterpolationDefinitionStrongReferenceSet

          static final TypeDefinitionSet InterpolationDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to interpolation definitions.

      See Also:
        `InterpolationDefinition`, `InterpolationDefinitionStrongReference`, `InterpolationDefinitionWeakReference`, `Dictionary.getInterpolationDefinitions()`, `InterpolationConstant`

    - #### PackageStrongReferenceSet

          static final TypeDefinitionSet PackageStrongReferenceSet

      Defines the type for a value that represents a set of strong references to packages.

      See Also:
        `Package`, `PackageStrongReference`, `PackageWeakReference`, `ContentStorage.getPackages()`, `ContentStorage.getPackages(tv.amwa.maj.union.SearchCriteria)`

    - #### OperationDefinitionStrongReferenceSet

          static final TypeDefinitionSet OperationDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to operation definitions.

      See Also:
        `OperationDefinition`, `OperationDefinitionStrongReference`, `OperationDefinitionWeakReference`, `OperationDefinitionWeakReferenceVector`, `OperationDefinitionWeakReferenceVector`, `Dictionary.getOperationDefinitions()`, `OperationConstant`

    - #### ParameterDefinitionStrongReferenceSet

          static final TypeDefinitionSet ParameterDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to parameter definitions.

      See Also:
        `ParameterDefinition`, `ParameterDefinitionStrongReference`, `ParameterDefinitionWeakReference`, `ParameterDefinitionWeakReferenceSet`, `Dictionary.getParameterDefinitions()`, `ParameterConstant`

    - #### PluginDefinitionStrongReferenceSet

          static final TypeDefinitionSet PluginDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to plugin definitions.

      See Also:
        `PluginDefinition`, `PluginDefinitionStrongReference`, `PluginDefinitionWeakReference`, `PluginDefinitionWeakReferenceSet`, `Dictionary.getPluginDefinitions()`, `PluginIdentifiers`

    - #### PropertyDefinitionStrongReferenceSet

          static final TypeDefinitionSet PropertyDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to property definitions.

      See Also:
        `PropertyDefinition`, `PropertyDefinitionStrongReference`, `PropertyDefinitionWeakReference`, `PropertyDefinitionWeakReferenceSet`, `MediaProperty`

    - #### TypeDefinitionStrongReferenceSet

          static final TypeDefinitionSet TypeDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to type definitions.

      See Also:
        `TypeDefinition`, `TypeDefinitionStrongReference`, `TypeDefinitionWeakReference`, `TypeDefinitionWeakReferenceVector`, `Warehouse.lookForType(AUID)`, `Warehouse.lookForType(String)`

    - #### KLVDataDefinitionStrongReferenceSet

          static final TypeDefinitionSet KLVDataDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to KLV data definitions.

      See Also:
        `KLVDataDefinition`, `KLVDataDefinitionStrongReference`, `KLVDataStrongReferenceVector`, `Dictionary.getKLVDataDefinitions()`

    - #### TaggedValueDefinitionStrongReferenceSet

          static final TypeDefinitionSet TaggedValueDefinitionStrongReferenceSet

      Defines the type for a value that represents a set of strong references to tagged value definitions.

      See Also:
        `TaggedValueDefinition`, `TaggedValueDefinitionStrongReference`, `Dictionary.getTaggedValueDefinitions()`

    - #### DataDefinitionWeakReferenceSet

          static final TypeDefinitionSet DataDefinitionWeakReferenceSet

      Defines the type for a value that represents a set of weak references to data definitions.

      See Also:
        `DataDefinition`, `DataDefinitionStrongReference`, `DataDefinitionStrongReferenceSet`, `DataDefinitionWeakReference`, `DataDefinitionWeakReferenceVector`, `DataDefinitionWeakReferenceVector`, `CodecDefinition.getEssenceKinds()`, `DataDefinitionConstant`

    - #### ParameterDefinitionWeakReferenceSet

          static final TypeDefinitionSet ParameterDefinitionWeakReferenceSet

      Defines the type for a value that represents a set of weak references to parameter definitions.

      See Also:
        `ParameterDefinition`, `ParameterDefinitionStrongReference`, `ParameterDefinitionStrongReferenceSet`, `ParameterDefinitionWeakReference`, `OperationDefinition.getOperationParametersDefined()`, `ParameterConstant`

    - #### PluginDefinitionWeakReferenceSet

          static final TypeDefinitionSet PluginDefinitionWeakReferenceSet

      Defines the type for a value that represents a set of weak references to plugin definitions.

      See Also:
        `PluginDefinition`, `PluginDefinitionStrongReference`, `PluginDefinitionStrongReferenceSet`, `PluginDefinitionWeakReference`, `PluginIdentifiers`

    - #### PropertyDefinitionWeakReferenceSet

          static final TypeDefinitionSet PropertyDefinitionWeakReferenceSet

      Defines the type for a value that represents a set of weak references to property definitions.

      See Also:
        `PropertyDefinition`, `PropertyDefinitionStrongReference`, `PropertyDefinitionStrongReferenceSet`, `PropertyDefinitionWeakReference`, `MediaProperty`

    - #### DescriptiveObjectStrongReferenceSet

          static final TypeDefinitionSet DescriptiveObjectStrongReferenceSet

      Defines the type for a value that represents a set of strong references to descriptive objects.

      See Also:
        `DescriptiveObject`, `DescriptiveObjectStrongReference`, `DescriptiveObjectStrongReferenceVector`, `DescriptiveMarker.getDescriptiveFrameworkObject()`

    - #### UInt8Array

          static final TypeDefinitionVariableArray UInt8Array

      Defines the type for a value that represents an array of unsigned 8-bit integers (UInt8) with a variable number of elements.

      See Also:
        `UInt8`, `UInt8Array`, `DataValue`

    - #### UInt32Array

          static final TypeDefinitionVariableArray UInt32Array

      Defines the type for a value that represents an array of unsigned 32-bit integers (UInt32) with a variable number of elements.

      See Also:
        `UInt32`, `UInt32Set`, `UInt32Array`

    - #### Int32Array

          static final TypeDefinitionVariableArray Int32Array

      Defines the type for a property value that represents an array of signed 32-bit integers (Int32) with a variable number of elements.

      See Also:
        `Int32`, `Int32Array`

    - #### Int64Array

          static final TypeDefinitionVariableArray Int64Array

      Defines the type for a value that represents an array of signed 64-bit integers (Int64) with a variable number of elements.

      See Also:
        `Int64`, `Int64Array`

    - #### UTF16StringArray

          static final TypeDefinitionVariableArray UTF16StringArray

      Defines the type for a value that represents an array of UTF 16-bit strings with a variable number of elements.

      See Also:
        `UTF16String`, `TypeDefinitionString`, `TypeDefinitionCharacter`, `String`

    - #### AUIDArray

          static final TypeDefinitionVariableArray AUIDArray

      Defines the type for a property value that represents a variable-length array of AUID values. Each element is a 16-byte identifier (AUID) with a variable number of elements.

      See Also:
        `AUID`, `AUIDSet`, `AUID`, `AUIDArray`

    - #### ComponentStrongReferenceVector

          static final TypeDefinitionVariableArray ComponentStrongReferenceVector

      Defines the type for a value that represents a list of strong references to components with a variable number of elements.

      See Also:
        `Component`, `ComponentStrongReference`, `Sequence.getComponentObjects()`

    - #### ControlPointStrongReferenceVector

          static final TypeDefinitionVariableArray ControlPointStrongReferenceVector

      Defines the type for a value that represents a list of strong references to control points with a variable number of elements.

      See Also:
        `ControlPoint`, `ControlPointStrongReference`, `VaryingValue.getControlPoints()`

    - #### IdentificationStrongReferenceVector

          static final TypeDefinitionVariableArray IdentificationStrongReferenceVector

      Defines the type for a value that represents a list of strong references to identifications with a variable number of elements.

      See Also:
        `Identification`, `IdentificationStrongReference`, `Preface.getIdentifications()`

    - #### LocatorStrongReferenceVector

          static final TypeDefinitionVariableArray LocatorStrongReferenceVector

      Defines the type for a value that represents a list of strong references to locators with a variable number of elements.

      See Also:
        `Locator`, `LocatorStrongReference`, `EssenceDescriptor.getLocators()`, `PluginDefinition.getPluginLocators()`

    - #### TrackStrongReferenceVector

          static final TypeDefinitionVariableArray TrackStrongReferenceVector

      Defines the type for a value that represents a list of strong references to tracks with a variable number of elements.

      See Also:
        `Track`, `TrackStrongReference`, `Package.getPackageTracks()`

    - #### SegmentStrongReferenceVector

          static final TypeDefinitionVariableArray SegmentStrongReferenceVector

      Defines the type for a value that represents a list of strong references to segments with a variable number of elements.

      See Also:
        `Segment`, `SegmentStrongReference`, `Selector.getAlternateSegments()`

    - #### SourceReferenceStrongReferenceVector

          static final TypeDefinitionVariableArray SourceReferenceStrongReferenceVector

      Defines the type for a value that represents a list of strong references to source references.

      See Also:
        `SourceReferenceSegment`, `SourceReferenceStrongReference`, `EssenceGroup.getChoices()`

    - #### TaggedValueStrongReferenceVector

          static final TypeDefinitionVariableArray TaggedValueStrongReferenceVector

      Defines the type for a value that represents a list of strong references to tagged values with a variable number of elements.

      See Also:
        `TaggedValue`, `TaggedValueStrongReference`, `Component.getComponentAttributes()`, `Component.getComponentUserComments()`, `Package.getPackageAttributes()`, `Package.getPackageUserComments()`

    - #### KLVDataStrongReferenceVector

          static final TypeDefinitionVariableArray KLVDataStrongReferenceVector

      Defines the type for a value that represents a list of strong references to KLV data values with a variable number of elements.

      See Also:
        `KLVData`, `KLVDataStrongReference`, `Component.getComponentKLVData()`, `Package.getPackageKLVData()`

    - #### ParameterStrongReferenceVector

          static final TypeDefinitionVariableArray ParameterStrongReferenceVector

      Defines the type for a value that represents a list of strong references to parameter values with a variable number of elements.

      See Also:
        `Parameter`, `ParameterStrongReference`, `OperationGroup.getParameters()`, `ParameterConstant`

    - #### OperationDefinitionWeakReferenceVector

          static final TypeDefinitionVariableArray OperationDefinitionWeakReferenceVector

      Defines the type for a value that represents a list of weak references to operation definitions with a variable number of elements.

      See Also:
        `OperationDefinition`, `OperationDefinitionStrongReference`, `OperationDefinitionStrongReferenceSet`, `OperationDefinitionWeakReference`, `OperationDefinition.getDegradeToOperations()`, `OperationConstant`

    - #### TypeDefinitionWeakReferenceVector

          static final TypeDefinitionVariableArray TypeDefinitionWeakReferenceVector

      Defines the type for a value that represents a list of weak references to type definitions with a variable number of elements.

      See Also:
        `TypeDefinition`, `TypeDefinitionWeakReference`, `TypeDefinitionStrongReferenceSet`, `TypeDefinitionRecord.getMemberType(int)`, `Warehouse.lookForType(AUID)`, `Warehouse.lookForType(String)`

    - #### DataDefinitionWeakReferenceVector

          static final TypeDefinitionVariableArray DataDefinitionWeakReferenceVector

      Defines the type for a value that represents a list of weak references to data definitions with a variable number of elements.

      See Also:
        `DataDefinition`, `DataDefinitionStrongReference`, `DataDefinitionStrongReferenceSet`, `DataDefinitionWeakReference`, `DataDefinitionWeakReferenceSet`, `CodecDefinition.getEssenceKinds()`

    - #### SubDescriptorStrongReferenceVector

          static final TypeDefinitionVariableArray SubDescriptorStrongReferenceVector

      Defines the type for a value that represents a list of strong references to sub descriptors with a variable number of elements.

      See Also:
        `SubDescriptor`, `SubDescriptorStrongReference`, `EssenceDescriptor.getSubDescriptors()`

    - #### FileDescriptorStrongReferenceVector

          static final TypeDefinitionVariableArray FileDescriptorStrongReferenceVector

      Defines the type for a value that represents a list of strong references to file descriptors with a variable number of elements.

      See Also:
        `AAFFileDescriptor`, `FileDescriptorStrongReference`, `MultipleDescriptor.getFileDescriptors()`

    - #### ChannelStatusModeArray

          static final TypeDefinitionVariableArray ChannelStatusModeArray

      Defines the type for a value that represents an array of AES3 PCM channel status modes with a variable number of elements.

      See Also:
        `AES3PCMDescriptor`, `AES3PCMDescriptor.getChannelStatusMode()`

    - #### UserDataModeArray

          static final TypeDefinitionVariableArray UserDataModeArray

      Defines the type for a property value that represents an array of AES3 PCM user data modes with a variable number of elements.

      See Also:
        `AES3PCMDescriptor`, `AES3PCMDescriptor.getUserDataMode()`

    - #### RIFFChunkStrongReferenceVector

          static final TypeDefinitionVariableArray RIFFChunkStrongReferenceVector

      Defines the type for a value that represents a list of strong references to Broadcast Wave Format (BWF) RIFF chunks with a variable number of elements.

      See Also:
        `RIFFChunk`, `RIFFChunkStrongReference`, `BWFImportDescriptor.getUnknownBWFChunks()`

    - #### DescriptiveObjectStrongReferenceVector

          static final TypeDefinitionVariableArray DescriptiveObjectStrongReferenceVector

      Define the type for a value that represents a list of strong references to descriptive object with a variable number of elements.

      See Also:
        `DescriptiveObject`, `DescriptiveObjectStrongReference`, `DescriptiveObjectStrongReferenceSet`

    - #### PrefaceStrongReference

          static final TypeDefinitionStrongObjectReference PrefaceStrongReference

    - #### MetaDefinitionStrongReference

          static final TypeDefinitionStrongObjectReference MetaDefinitionStrongReference

    - #### ExtensionSchemeStrongReference

          static final TypeDefinitionStrongObjectReference ExtensionSchemeStrongReference

    - #### PackageMarkerStrongReference

          static final TypeDefinitionStrongObjectReference PackageMarkerStrongReference

    - #### ApplicationPluginObjectStrongReference

          static final TypeDefinitionStrongObjectReference ApplicationPluginObjectStrongReference

    - #### MetaDefinitionStrongReferenceSet

          static final TypeDefinitionSet MetaDefinitionStrongReferenceSet

    - #### ExtensionSchemeStrongReferenceSet

          static final TypeDefinitionSet ExtensionSchemeStrongReferenceSet

    - #### ApplicationPluginObjectStrongReferenceSet

          static final TypeDefinitionSet ApplicationPluginObjectStrongReferenceSet

    - #### ExtensionSchemeWeakReference

          static final TypeDefinitionWeakObjectReference ExtensionSchemeWeakReference

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.